> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch GitHub repo tree



## OpenAPI

````yaml api-reference/openapi.account.json GET /projects/{id}/github/tree
openapi: 3.1.0
info:
  title: Aether Account & Integrations API
  version: 0.1.0
  description: >-
    Account, billing, and integration-management endpoints used by the Aether
    web app and CLI. Root-mounted; NOT part of the versioned /v1 contract.
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /projects/{id}/github/tree:
    get:
      tags:
        - github
      summary: Fetch GitHub repo tree
      operationId: fetchGithubRepoTree
      parameters:
        - in: path
          name: id
          required: true
          schema:
            format: uuid
            type: string
        - explode: false
          in: query
          name: ref
          required: true
          schema:
            minLength: 1
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitHubTreeResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '413':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Request Entity Too Large
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Gateway
components:
  schemas:
    GitHubTreeResponse:
      additionalProperties: false
      properties:
        sha:
          minLength: 1
          type: string
        tree:
          items:
            $ref: '#/components/schemas/GitHubTreeEntry'
          type: array
      required:
        - sha
        - tree
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    GitHubTreeEntry:
      additionalProperties: false
      properties:
        mode:
          minLength: 1
          type: string
        path:
          minLength: 1
          type: string
        sha:
          minLength: 1
          type: string
        size:
          format: int64
          type: integer
        type:
          minLength: 1
          type: string
      required:
        - path
        - mode
        - type
        - size
        - sha
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````